Browse Source

misc: add script to update LJM to the latest commit

master
Saúl Ibarra Corretgé 4 years ago
parent
commit
546b0abe32
1 changed files with 16 additions and 0 deletions
  1. 16
    0
      resources/update-ljm.sh

+ 16
- 0
resources/update-ljm.sh View File

@@ -0,0 +1,16 @@
1
+#!/bin/bash
2
+
3
+set -e -u
4
+
5
+THIS_DIR=$(cd -P "$(dirname "$(readlink "${BASH_SOURCE[0]}" || echo "${BASH_SOURCE[0]}")")" && pwd)
6
+LATEST_LJM_COMMIT=$(git ls-remote https://github.com/jitsi/lib-jitsi-meet.git HEAD | awk '{ print $1 }')
7
+
8
+pushd ${THIS_DIR}/..
9
+
10
+npm install github:jitsi/lib-jitsi-meet#${LATEST_LJM_COMMIT}
11
+git add package.json package-lock.json
12
+git commit -m "deps: lib-jitsi-meet@latest"
13
+
14
+popd
15
+
16
+echo "Done! Now push your branch to GH and open a PR!"

Loading…
Cancel
Save